Loading...
Searching...
No Matches
Image.h File Reference

A simple image class that uses pinned memory for fast GPU transfer. More...

`#include <stdint.h>`
`#include <string>`
`#include <fstream>`
`#include <cassert>`
`#include <nanovdb/util/HostBuffer.h>`

Go to the source code of this file.

## Classes

struct | ImageData
class | Image
struct | Image::ColorRGB
class | ImageHandle< BufferT >

## Namespaces

namespace | nanovdb

## Detailed Description

A simple image class that uses pinned memory for fast GPU transfer.

Author
  Ken Museth

Date
  January 8, 2020

Warning
  This class is only included to support benchmark-tests.